Get Dataflow object details and related paths

API to fetch dataflow objects' details and their associated lineage paths. Dataflow Objects can be filtered by providing an array of dataflow object IDs or external IDs in the request body payload. They can also be filtered by external_id using the lookup query parameters below. Note: Request body payload is optional and may not be supported in some API clients such as Swagger UI.

Query Params
string
enum
Defaults to id

Field to use as an identifier of the resource (id, or external_id)

Allowed:
integer
Defaults to 100

Specifies the number of objects to be fetched in one paginated request. Response may have a X-Next-Page URL parameter in the header to fetch next set of objects or page

integer
Defaults to 0

Specifies the number of objects to be skipped in one request. Used together with Limit parameter to fetch paginated requests. This is automatically set in X-Next-Page response header if present

boolean
Defaults to false

Same as excludeTemp on GET /lineage/ (stitching, depth limit configured by lineage-service.filters.asset_depth with default 10, parallel-chain merge), applied to the data objects on either side of the seed dataflow. The seed dataflow itself is unaffected.

boolean
Defaults to true

Same as excludeGone on GET /lineage/ (stitching, depth limit configured by lineage-service.filters.asset_depth with default 10, parallel-chain merge), applied to the data objects on either side of the seed dataflow. Default is true.

string

filter by external_id case insensitive exact match

string

filter by external_id containing the given string

string

filter by external_id containing the given string, case insensitive match

string

filter by external_id starting with the given string

string

filter by external_id starting with the given string, case insensitive match

string

filter by external_id ending with the given string

string

filter by external_id ending with the given string, case insensitive match

Body Params

List of dataflow object ids or external ids

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Choose an example:
application/json